@require 'atlassian.styl'

.hidden
  display: none

.dragger
  width: 100%
  height: 23px
  margin: 0
  padding: 0
  -webkit-app-region: drag
  position:fixed

#content
  display: flex
  height: 100vh
  position: relative
  margin: 0
  overflow: hidden

#nav
  flex: 0 0 66px
  background-color: $ak-color-B500
  display: flex
  flex-direction: column
  padding-top: 32px


#side
  flex: 0 0 220px
  background-color: $ak-color-N20
  padding: 32px 16px
  overflow-y: auto

#pages
  flex: 1 0
  position: relative

.page
  position: absolute
  padding: 48px
  width: 100%
  height: 100%
  box-sizing: border-box
  z-index: 0
  background-color: white

.page.current
  z-index: 100

/* * * * * * * * * * *
*      NAV ITEMS     *
* * * * * * * * * * */

#logo
  width: 40px
  height: 40px

.navIcon
  fill: white
  cursor: pointer
  width: 16px
  height: 16px

.navIcon.big
  width: 20px
  height: 20px

.navItem
  margin: 0 auto
  height: 32px
  display: flex
  align-items: center
  margin-bottom: 16px

.navItem.big
  height: 40px

.navItem.bottom
  position: absolute
  bottom: 8px
  left: 22px

/* * * * * * * * * * *
*     PAGE ITEMS     *
* * * * * * * * * * */

.header
  color: $ak-color-N800
  font-size: 24px
  margin-bottom: 25px

#log
  height: calc(100% - 100px)
  padding: 20px
  box-shadow: 0 1px 1px rgba(9,30,66,0.2), 0 0 0.5px 0 rgba(9,30,66,0.25)
  overflow-y: auto
  border-radius: 4px
  font-size: 14px
  color: $ak-color-N900
  transition: height 0.3s $swoop
  background-color: white
  z-index: 5
  position: relative

#log.short
  height: calc(100% - 200px)

.log-entry
  padding-left: 16px
  line-height: 20px
  position: relative
  color: $ak-color-N200
  margin-bottom: 6px
  word-wrap: break-word

.log-entry .url
  color: $ak-color-N900
  font-weight: bold

.log-entry:after
  content: ''
  border-radius: 100%
  width: 8px
  height: 8px
  position: absolute
  left: 0px
  top: 7px
  background-color: $ak-color-N100

.log-entry.error:after
  background-color: $ak-color-R400

.log-entry.warn:after
  background-color: $ak-color-Y300

.log-entry.success:after
  content: ''
  background-color: $ak-color-G300
  border-radius: 100%
  width: 8px
  height: 8px
  position: absolute

.log-entry.wait:after
  backgound-color: $ak-color-N500

.button
  background: $ak-color-N30
  border-radius: 3px
  font-size: 14px
  color: $ak-color-N700
  line-height: 32px
  display: inline-block
  text-align: center
  cursor: pointer
  width: 140px
  height: 32px

.upload
  position: absolute
  bottom: 100px
  width: 100%
  font-size: 14px
  width: 300px
  margin: auto
  display: flex
  justify-content: space-between
  align-items: center
  margin-top: 20px
  right: 50px
  z-index: 0

/* * * * * * * * * * *
*   SIDEBAR ITEMS    *
* * * * * * * * * * */

.tag
  font-size: 12px
  color: $ak-color-N200
  -webkit-user-select: none

#directory
  margin: 5px 0px
  padding: 0
  list-style-type: none
  transition: top 0.3s $swoop
  position: relative
  top: 0px

#directory.down
  margin: 0px
  top: 45px

/* Items for creating a new project */
#newProject
  position: absolute
  margin: 5px 0px 0px 0px
  list-style-type: none
  padding: 0
  width: 220px
  opacity: 0
  transition: opacity 0.3s $swoop
  pointer-events: none

#newProject.revealed
  opacity: 1
  z-index: 100

#newProject .directoryItem:hover
  background-color: transparent
  cursor: default

#newProjectName
  position: relative
  top: -5px
  left: -5px
  border-radius: 3px
  width: 98%
  padding: 5px
  color: $ak-color-N900
  pointer-events: all

/* Directory items */
.directoryItem
  padding: 7px 7px
  position: relative
  justify-content: space-between
  color: $ak-color-N500
  cursor: pointer
  fill: $ak-color-N500
  border-radius: 3px
  height: 17px
  line-height: 17px
  border: 2px solid transparent

.directoryItem:hover, .directoryItem.focus
  background-color: $ak-color-N30
  color: $ak-color-B400
  fill: $ak-color-B400

.directoryItem.selected
  color: $ak-color-B400
  fill: $ak-color-B400

.directoryItem > div
  font-size: 14px
  text-decoration: none

.directoryItem > input
  background-color: transparent
  font-size: 14px
  font-family: inherit
  color: inherit
  position: relative
  top: -3px
  left: -5px
  border: 0px
  padding: 3px 5px

.directoryItem > input:focus
  outline: 0px

.li-icon
  width: 20px
  height: 20px

.source-icon
  position: absolute
  right: 35px
  top: 5px

.world-icon
  position: absolute
  right: 5px
  top: 5px

/* Directory items in warn mode */
.directoryItem.warn
  border: 2px solid $ak-color-Y300

.directoryItem.warn .inlineIcon
  background-image: url("images/warning.png")

/* * * * * * * * * * *
* MESSAGES AND FLAGS *
* * * * * * * * * * */

.inlineMessage
  padding: 20px
  border-radius: 3px
  width: 260px
  opacity: 0
  background-color: white
  position: absolute
  left: 270px
  color: $ak-color-N900
  pointer-events: none
  font-size: 14px

.inlineMessage.visible
  opacity: 1

.inlineTitle
  font-weight: 600
  margin-bottom: 10px

.inlineText
  margin-bottom: 10px

.inlineIcon
  width: 16px
  height: 16px
  background-size: 16px
  position: absolute
  top: 7px
  right: 10px
  pointer-events: all

.inlineMessage > img
  width: 100%
  border-radius: 3px

.flag
  width: 250px
  background-color: white
  position: absolute
  bottom: 30px
  left: -350px
  opacity: 0
  border-radius: 3px
  transition: left 0.3s $swoop, opacity 0.3s $swoop
  font-size: 14px
  color: $ak-color-N900
  padding: 20px 20px
  padding-left: 46px
  &#deleteFlag
    width: 270px

.flag.visible
  left: 85px
  opacity: 1

.flagTitle
  font-weight: 600
  margin-bottom: 20px

.flagIcon
  width: 16px
  height: 16px
  position: absolute
  top: 22px
  left: 15px

.infoIcon
  background-image: url('images/info.png')
  background-size: 16px

.warningIcon
  background-image: url('images/warning.png')
  background-size: 16px

.dismissFlag
  position: absolute
  top: 18px
  right: 20px
  width: 16px
  font-size: 30px
  line-height: 13px
  font-weight: 300
  cursor: pointer
  color: $ak-color-N40

.flagMessage
  margin-bottom: 15px
  width: 200px
  img
    width: 100%
    margin-top: 10px
    border-radius: 3px

#deleteFlag .flagMessage
  width: 230px

.flagActions > div
  color: $ak-color-B400
  text-decoration: none
  font-weight: 500
  cursor: pointer
  display: inline-block
  &::before
    cursor: default
    font-size: 14px
    content: "\2022"
    padding: 0 8px 0px 4px
  &:first-child::before
    content: ""
    padding: 0
